Last modified: 2014-09-24 13:13:05 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 25939 - <references/> in ordered list or unordered list
<references/> in ordered list or unordered list
Status: NEW
Product: MediaWiki extensions
Classification: Unclassified
Cite (Other open bugs)
unspecified
All All
: Low trivial (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: tidy
  Show dependency treegraph
 
Reported: 2010-11-15 20:10 UTC by Fomafix
Modified: 2014-09-24 13:13 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Fomafix 2010-11-15 20:10:03 UTC
The following wikitext:

 Text 1<ref>Ref 1</ref> Text 2<ref>Ref 2</ref> Text 3<ref>Ref 3</ref>
 
 * Item 1 <references />
 * Item 2

is converted to:

<p>Text 1<sup id="cite_ref-0" class="reference"><a href="#cite_note-0">[1]</a></sup> Text 2<sup id="cite_ref-1" class="reference"><a href="#cite_note-1">[2]</a></sup> Text 3<sup id="cite_ref-2" class="reference"><a href="#cite_note-2">[3]</a></sup></p>
<ul>
<li>Item 1
<ol class="references">
<li id="cite_note-0"><a href="#cite_ref-0">↑</a> Ref 1</li>
</ol>
</li>
</ul>
<ul>
<li id="cite_note-1"><a href="#cite_ref-1">↑</a> Ref 2</li>
<li id="cite_note-2"><a href="#cite_ref-2">↑</a> Ref 3</li>
<li style="list-style-type: none; list-style-image: none; list-style-position: outside; display: inline;">
<ul>
<li>Item 2</li>
</ul>
</li>
</ul>

expected result:

<p>Text 1<sup id="cite_ref-0" class="reference"><a href="#cite_note-0">[1]</a></sup> Text 2<sup id="cite_ref-1" class="reference"><a href="#cite_note-1">[2]</a></sup> Text 3<sup id="cite_ref-2" class="reference"><a href="#cite_note-2">[3]</a></sup></p>
<ul>
<li>Item 1
<ol class="references">
<li id="cite_note-0"><a href="#cite_ref-0">↑</a> Ref 1</li>
<li id="cite_note-1"><a href="#cite_ref-1">↑</a> Ref 2</li>
<li id="cite_note-2"><a href="#cite_ref-2">↑</a> Ref 3</li>
</ol>
</li>
<li>Item 2</li>
</ul>
Comment 1 Fomafix 2010-11-16 15:57:30 UTC
(In reply to comment #0)

The actual result in #0 was extracted from an extra div. The actual result without an extra div is:

<p>Text 1<sup class="reference" id="cite_ref-0"><a href="#cite_note-0">[1]</a></sup> Text 2<sup class="reference" id="cite_ref-1"><a href="#cite_note-1">[2]</a></sup> Text 3<sup class="reference" id="cite_ref-2"><a href="#cite_note-2">[3]</a></sup></p>
<ul>
<li>Item 1
<ol class="references">
<li id="cite_note-0"><a href="#cite_ref-0">↑</a> Ref 1</li>
</ol>
</li>
</ul>
<ul>
<li id="cite_note-1"><a href="#cite_ref-1">↑</a> Ref 2</li>
<li id="cite_note-2"><a href="#cite_ref-2">↑</a> Ref 3</li>
</ul>
<ul>
<li>Item 2</li>
</ul>
Comment 2 Mark A. Hershberger 2011-02-09 00:51:09 UTC
I'm going to guess this is a problem with Tidy.
Comment 3 Gadget850 2014-09-24 09:39:19 UTC
With 1.24wmf21 I now see:

<p>Text 1<sup id="cite_ref-1" class="reference"><a href="#cite_note-1"><span>[</span>1<span>]</span></a></sup> Text 2<sup id="cite_ref-2" class="reference"><a href="#cite_note-2"><span>[</span>2<span>]</span></a></sup> Text 3<sup id="cite_ref-3" class="reference"><a href="#cite_note-3"><span>[</span>3<span>]</span></a></sup></p>
<ul>
<li>Item 1
<ol class="references"></ol>
</li>
</ul>
<ul>
<li id="cite_note-1"><span class="mw-cite-backlink"><b><a href="#cite_ref-1">^</a></b></span> <span class="reference-text">Ref 1</span></li>
<li id="cite_note-2"><span class="mw-cite-backlink"><b><a href="#cite_ref-2">^</a></b></span> <span class="reference-text">Ref 2</span></li>
<li id="cite_note-3"><span class="mw-cite-backlink"><b><a href="#cite_ref-3">^</a></b></span> <span class="reference-text">Ref 3</span></li>
</ul>
<ul>
<li>Item 2</li>
</ul>

It appears this is now resolved.
Comment 4 Fomafix 2014-09-24 10:32:35 UTC
No. The outer <ul> still gets closed.
Comment 5 Gadget850 2014-09-24 13:13:05 UTC
I see the issue. Item 1 and Item 2 list is rendered as separate unordered lists and the The reference list is rendered as an unordered list, not an ordered list.

I don't see the purpose here.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links